calibration
Create calibration mappings
Requires scopes: runs:write
POST
/
api
/
calibration
/
mappings
Create calibration mappings
curl --request POST \
--url https://evalgate.com/api/calibration/mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"judgeConfigId": 123,
"calibrationSetVersionId": "<string>",
"method": "percentile",
"mappingKey": "<string>",
"observations": [
{
"rawScore": 123,
"anchorKey": "<string>",
"parseOk": false
}
]
}
'import requests
url = "https://evalgate.com/api/calibration/mappings"
payload = {
"judgeConfigId": 123,
"calibrationSetVersionId": "<string>",
"method": "percentile",
"mappingKey": "<string>",
"observations": [
{
"rawScore": 123,
"anchorKey": "<string>",
"parseOk": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
judgeConfigId: 123,
calibrationSetVersionId: '<string>',
method: 'percentile',
mappingKey: '<string>',
observations: [{rawScore: 123, anchorKey: '<string>', parseOk: false}]
})
};
fetch('https://evalgate.com/api/calibration/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mapping": {
"status": "<string>",
"confidence": {
"sampleSize": 123,
"level": 123,
"meanLower": 123,
"meanUpper": 123,
"correlationLower": 123,
"correlationUpper": 123
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"version": 123,
"reviewRationale": "<string>",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"judgeConfigId": 123,
"parentVersionId": "<string>",
"calibrationSetVersionId": "<string>",
"calibrationRunId": "<string>",
"scoreMappingId": "<string>",
"scoreScaleVersion": "<string>",
"stats": {
"rawScoreMean": 123,
"rawScoreStd": 123,
"correlationToHuman": 123,
"agreementRate": 123,
"parseFailureRate": 123,
"variance": 123,
"anchorCount": 123
},
"method": "<string>",
"mappingJson": {
"method": "percentile",
"scoreScaleVersion": "<string>",
"mappingJson": {}
},
"mappingKey": "<string>",
"mappingHash": "<string>",
"driftStatus": "<string>"
},
"setVersion": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calibrationSetId": "<string>",
"version": 123,
"status": "<string>",
"name": "<string>",
"domain": "<string>",
"rubricVersion": "<string>",
"scoreScaleVersion": "<string>",
"anchors": [
{
"anchorKey": "<string>",
"input": "<string>",
"sourceType": "manual",
"expectedOutput": "<string>",
"referenceAnswer": "<string>",
"humanScore": 123,
"severityLabel": "<string>",
"failureMode": "<string>",
"sourceResourceId": "<string>",
"metadata": {}
}
],
"contentHash": "<string>",
"parentVersionId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewRationale": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create calibration mappings
